## virtualbox 4.1.2-dfsg

=== debian/changelog ===
virtualbox (4.1.2-dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox.files/source_virtualbox.py
      - debian/virtualbox.install
    - Drop *-source packages.
    - Add vboxguest modalias the to the package control field.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 02 Sep 2011 11:50:47 +0200

virtualbox (4.1.2-dfsg-1) unstable; urgency=low

  [ Michael Meskes ]
  * New upstream release.

  [ Felix Geyer ]
  * Refresh patches.
  * Drop 36-fix-kernel-panic-suspend.patch, applied upstream.
  * Bump minimum kbuild version to 1:0.1.9998svn2537.
  * Fix permissions of the kernel module tarballs.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 27 Aug 2011 10:42:30 +0200

virtualbox (4.1.0-dfsg-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox.files/source_virtualbox.py
      - debian/virtualbox.install
    - Drop *-source packages.
    - Add vboxguest modalias the to the package control field.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 10 Aug 2011 17:34:57 +0200

virtualbox (4.1.0-dfsg-2) unstable; urgency=low

  * Install vboxpci module in virtualbox-modules packages, thanks to
    YOSHINO Yoshihito. (Closes: #637177)
  * Add 36-fix-kernel-panic-suspend.patch from upstream SVN to fix a kernel
    panic on suspend caused by the vboxdrv module.
    (Closes: #637226; LP: #814323)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 10 Aug 2011 14:09:43 +0200

virtualbox (4.1.0-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use VBOX_BUILD_PUBLISHER instead of VBOX_VERSION_STRING to set the
    version suffix.
  * Refresh patches.
  * Drop 22-no-static-libstdcpp.patch and 31-multiarch-dri-path.patch,
    applied upstream.
  * Add 34-fix-vboxpci-build.patch to fix a VBoxPCI build failure.
  * Add vboxpci kernel module to virtualbox-dkms and virtualbox-source.
  * Update package names in 04-vboxdrv-references.patch.
  * Add 35-libvdeplug-soname.patch to fix VDE networking. (Closes: #636335)
  * Drop broken "alloc" symlink in virtualbox-dkms and virtualbox-source.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 08 Aug 2011 16:39:11 +0200

virtualbox (4.0.10-dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox-ose.files/source_virtualbox-ose.py
      - debian/virtualbox-ose.install
    - Drop *-source packages.
  * Add the Modaliases control field manually for maximum backportability.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 04 Jul 2011 13:02:31 +0200

virtualbox (4.0.8-dfsg-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox-ose.files/source_virtualbox-ose.py
      - debian/virtualbox-ose.install
    - Drop *-source packages.
  * Drop 30-kernel-2.6.39.patch, fixed upstream.
  * Write vboxguest modalias the to the package header.
    - Use modaliases dh sequence.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 03 Jun 2011 17:31:34 +0200

virtualbox-ose (4.0.4-dfsg-1ubuntu4) natty; urgency=low

  * Fix build failures of guest kernel modules with kernel 2.6.39-rc1.
    - Add 30-kernel-2.6.39.patch, cherry-picked from upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 22 Apr 2011 19:00:47 +0200

virtualbox-ose (4.0.4-dfsg-1ubuntu3) natty; urgency=low

  * Rebuild to pick up new xserver-xorg-core dependencies.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 18 Mar 2011 22:06:00 +0100

virtualbox-ose (4.0.4-dfsg-1ubuntu2) natty; urgency=low

  * Rebuild to pick up new xserver-xorg-core dependencies.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 23 Feb 2011 20:06:25 +0100

virtualbox-ose (4.0.4-dfsg-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox-ose.files/source_virtualbox-ose.py
      - debian/virtualbox-ose.install
    - Drop *-source packages.
  * Drop ubuntu-01-xserver-1.10.diff, fixed upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Feb 2011 17:45:23 +0100

virtualbox-ose (4.0.2-dfsg-1ubuntu2) natty; urgency=low

  * Support the current snapshot of X.Org Server 1.10. (LP: #712385)
    - Add ubuntu-01-xserver-1.10.diff.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 04 Feb 2011 23:27:19 +0100

virtualbox-ose (4.0.2-dfsg-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox-ose.files/source_virtualbox-ose.py
      - debian/virtualbox-ose.install
    - Drop *-source packages.
  * Drop ubuntu-01-fix-build-gcc45.patch, fixed upstream.
  * Drop ubuntu-02-as-needed.patch, added to the Debian package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 30 Jan 2011 23:27:25 +0100

virtualbox-ose (3.2.12-dfsg-1ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:57:38 +0000

virtualbox-ose (3.2.12-dfsg-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox-ose.files/source_virtualbox-ose.py
      - debian/virtualbox-ose.install
    - Drop *-source packages.
    - Add ubuntu-01-fix-build-gcc45.patch to fix FTBFS due to uninitalized
      variables.
    - Add ubuntu-02-as-needed.patch to fix FTBFS with --as-needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 05 Dec 2010 11:27:36 +0100

virtualbox-ose (3.2.10-dfsg-2ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add Apport hook.
      - debian/virtualbox-ose.files/source_virtualbox-ose.py
      - debian/virtualbox-ose.install
    - Drop *-source packages.
    - Add ubuntu-01-fix-build-gcc45.patch to fix FTBFS due to uninitalized
      variables.
  * Fixes: vboxvideo module fails to build with kernel 2.6.37. (LP: #671883)
  * Fix FTBFS with --as-needed.

