## virtualbox 4.1.6-dfsg

=== debian/changelog ===
virtualbox (4.1.6-dfsg-2) unstable; urgency=low

  * Fix build errors with kernel 3.2. (LP: #892506)
    - Add 36-kernel-3.2.patch, cherry-picked from upstream.
  * Make dependencies of the dkms packages on virtualbox/virtualbox-guest-utils
    versioned.
  * Move VBoxDbg.so to virtualbox-qt as it's a GUI component.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 19 Nov 2011 18:55:11 +0100

virtualbox (4.1.6-dfsg-1) unstable; urgency=low

  [ Felix Geyer ]
  * virtualbox-guest-x11: Drop xorg input driver from Provides and xorg input
    abi from Depends.

  [ Michael Meskes ]
  * New upstream release.
    - Fixes graphical corruption when switching to a virtual terminal.
      (Closes: #638941)

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Nov 2011 12:37:22 +0100

virtualbox (4.1.4-dfsg-1) unstable; urgency=low

  * New upstream release.
    - Fixes missing icons when using pt_BR locale. (Closes: #507188)
    - Fixes guest additions download url. (Closes: #637349; LP: #840668)
  * Refresh patches.
  * Drop the vboxmouse x11 driver. The mouse integration is now completely
    handled by the kernel module.
  * Restrict dh_pycentral to the virtualbox binary package.
  * Merge changes from the Ubuntu package but use them only when built
    on Ubuntu:
    - Add an Apport hook.
    - Add vboxguest modalias to the package control field.
  * Pass KBUILD_VERBOSE=2 to kmk.
  * Add 36-fix-text-mode.patch to fix text mode when using the vboxvideo driver.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 17 Oct 2011 23:23:09 +0200
