=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: virtualbox
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
+Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Felix Geyer <debfx-pkg@fobos.de>
 DM-Upload-Allowed: yes
@@ -74,9 +73,11 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          virtualbox (= ${binary:Version})
-Breaks: virtualbox-ose-qt (<< 4.0.6-dfsg-1~)
+Breaks: virtualbox-ose-qt (<< 4.0.6-dfsg-1~),
+        virtualbox (<< 4.1.6-dfsg-2~)
 Replaces: virtualbox-ose-qt (<< 4.0.6-dfsg-1~),
-          virtualbox-ose (<< 2.2.0-dfsg-1~)
+          virtualbox-ose (<< 2.2.0-dfsg-1~),
+          virtualbox (<< 4.1.6-dfsg-2~)
 Description: x86 virtualization solution - Qt based user interface
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -90,7 +91,7 @@
          ${misc:Depends},
          ${python:Depends},
          adduser
-Recommends: virtualbox-dkms (= ${source:Version}),
+Recommends: virtualbox-dkms (= ${source:Version}) | virtualbox-source (= ${source:Version}),
             virtualbox-qt (= ${binary:Version}),
             ${shlibs:Recommends}
 Suggests: virtualbox-guest-additions-iso,
@@ -104,10 +105,10 @@
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
  Linux system.
  .
- This package provides the binaries for VirtualBox. The virtualbox-dkms
- package is also required in order to compile the kernel modules needed for
- virtualbox. A graphical user interface for VirtualBox is provided by the
- package virtualbox-qt.
+ This package provides the binaries for VirtualBox. Either the virtualbox-dkms
+ or the virtualbox-source package is also required in order to compile the
+ kernel modules needed for virtualbox. A graphical user interface for
+ VirtualBox is provided by the package virtualbox-qt.
 
 Package: virtualbox-dbg
 Section: debug
@@ -127,7 +128,7 @@
 Package: virtualbox-dkms
 Section: kernel
 Architecture: all
-Depends: ${misc:Depends}, virtualbox
+Depends: ${misc:Depends}, virtualbox (>= ${source:Version})
 Breaks: virtualbox-ose-dkms (<< 4.0.6-dfsg-1~)
 Replaces: virtualbox-ose-dkms (<< 4.0.6-dfsg-1~),
           virtualbox-ose-source (<< 3.1.0-dfsg-1~)
@@ -140,15 +141,35 @@
  build with dkms. Kernel sources or headers are required to compile this
  module.
 
+Package: virtualbox-source
+Section: kernel
+Architecture: all
+Depends: ${misc:Depends},
+         build-essential,
+         debhelper (>= 5),
+         bzip2,
+         kbuild
+Recommends: module-assistant
+Breaks: virtualbox-ose-source (<< 4.0.6-dfsg-1~)
+Replaces: virtualbox-ose-source (<< 4.0.6-dfsg-1~)
+Description: x86 virtualization solution - kernel module source
+ VirtualBox is a free x86 virtualization solution allowing a wide range
+ of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
+ Linux system.
+ .
+ This package provides the source code for the virtualbox kernel module.
+ The virtualbox package is also required in order to make use of these
+ modules. Kernel sources or headers are required to compile this module.
+
 Package: virtualbox-guest-dkms
 Section: kernel
 Architecture: all
 Depends: ${misc:Depends},
-         virtualbox-guest-utils
+         virtualbox-guest-utils (>= ${source:Version})
 Breaks: virtualbox-ose-guest-dkms (<< 4.0.6-dfsg-1~)
 Replaces: virtualbox-ose-guest-dkms (<< 4.0.6-dfsg-1~),
           virtualbox-ose-guest-source (<< 3.1.0-dfsg-1~)
-XB-Modaliases: vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)
+XB-Modaliases: ${modaliases}
 Description: x86 virtualization solution - guest addition module source for dkms
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -158,6 +179,27 @@
  modules to be build with dkms. Kernel sources or headers are required to
  compile these modules.
 
+Package: virtualbox-guest-source
+Section: kernel
+Architecture: all
+Depends: ${misc:Depends}, 
+         build-essential,
+         debhelper (>= 5),
+         bzip2,
+         kbuild
+Recommends: module-assistant
+Breaks: virtualbox-ose-guest-source (<< 4.0.6-dfsg-1~)
+Replaces: virtualbox-ose-guest-source (<< 4.0.6-dfsg-1~)
+Description: x86 virtualization solution - guest addition module source
+ VirtualBox is a free x86 virtualization solution allowing a wide range
+ of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
+ Linux system.
+ .
+ This package provides the source code for the virtualbox guest addition kernel
+ modules. The virtualbox-guest-utils package is also required in order to
+ make use of these modules. Kernel sources or headers are required to compile
+ these modules.
+
 Package: virtualbox-guest-x11
 Section: x11
 Architecture: amd64 i386
@@ -165,8 +207,7 @@
          ${misc:Depends},
          ${xserver:Depends},
          virtualbox-guest-utils (= ${binary:Version})
-Provides: ${xviddriver:Provides},
-          ${xinpdriver:Provides}
+Provides: ${xviddriver:Provides}
 Breaks: virtualbox-ose-guest-x11 (<< 4.0.6-dfsg-1~)
 Replaces: virtualbox-ose-guest-x11 (<< 4.0.6-dfsg-1~),
           virtualbox-ose-guest-utils (<< 2.2.0-dfsg-1~)
@@ -185,7 +226,7 @@
          ${misc:Depends},
          adduser,
          pciutils
-Recommends: virtualbox-guest-dkms (= ${source:Version}),
+Recommends: virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}),
             virtualbox-guest-x11 (= ${binary:Version})
 Breaks: virtualbox-ose-guest-utils (<< 4.0.6-dfsg-1~)
 Replaces: virtualbox-ose-guest-utils (<< 4.0.6-dfsg-1~)
@@ -249,6 +290,15 @@
  This is a dummy transitional package for virtualbox-dkms and can be
  safely removed after the installation is complete.
 
+Package: virtualbox-ose-source
+Section: kernel
+Architecture: all
+Depends: ${misc:Depends},
+         virtualbox-source
+Description: transitional package for virtualbox-source
+ This is a dummy transitional package for virtualbox-source and can be
+ safely removed after the installation is complete.
+
 Package: virtualbox-ose-guest-dkms
 Section: kernel
 Architecture: all
@@ -258,27 +308,16 @@
  This is a dummy transitional package for virtualbox-guest-dkms and can be
  safely removed after the installation is complete.
 
+Package: virtualbox-ose-guest-source
+Section: kernel
+Architecture: all
+Depends: ${misc:Depends},
+         virtualbox-guest-source
+Description: transitional package for virtualbox-guest-source
+ This is a dummy transitional package for virtualbox-guest-source and can be
+ safely removed after the installation is complete.
+
 Package: virtualbox-ose-guest-x11
 Section: x11
 Architecture: all
 Depends: ${misc:Depends},
-         virtualbox-guest-x11
-Description: transitional package for virtualbox-guest-x11
- This is a dummy transitional package for virtualbox-guest-x11 and can be
- safely removed after the installation is complete.
-
-Package: virtualbox-ose-guest-utils
-Architecture: all
-Depends: ${misc:Depends},
-         virtualbox-guest-utils
-Description: transitional package for virtualbox-guest-utils
- This is a dummy transitional package for virtualbox-guest-utils and can be
- safely removed after the installation is complete.
-
-Package: virtualbox-ose-fuse
-Architecture: all
-Depends: ${misc:Depends},
-         virtualbox-fuse
-Description: transitional package for virtualbox-fuse
- This is a dummy transitional package for virtualbox-fuse and can be
- safely removed after the installation is complete.
