## virtualbox 4.1.8-dfsg

=== debian/changelog ===
virtualbox (4.1.8-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Move all transitional packages to section oldlibs and priority extra.
  * Refresh 16-no-update.patch.
  * Drop 36-kernel-3.2.patch, applied upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 29 Dec 2011 12:29:25 +0100
