=== debian/control ===
--- 
+++ 
@@ -256,6 +256,8 @@
  VirtualBox disk so all partitions can be loop-mounted.
 
 Package: virtualbox-ose-qt
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          virtualbox-qt
@@ -264,6 +266,8 @@
  safely removed after the installation is complete.
 
 Package: virtualbox-ose
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          virtualbox
@@ -272,7 +276,7 @@
  safely removed after the installation is complete.
 
 Package: virtualbox-ose-dbg
-Section: debug
+Section: oldlibs
 Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
@@ -282,7 +286,8 @@
  safely removed after the installation is complete.
 
 Package: virtualbox-ose-dkms
-Section: kernel
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          virtualbox-dkms
@@ -291,7 +296,8 @@
  safely removed after the installation is complete.
 
 Package: virtualbox-ose-source
-Section: kernel
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          virtualbox-source
@@ -300,7 +306,8 @@
  safely removed after the installation is complete.
 
 Package: virtualbox-ose-guest-dkms
-Section: kernel
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          virtualbox-guest-dkms
@@ -309,15 +316,10 @@
  safely removed after the installation is complete.
 
 Package: virtualbox-ose-guest-source
-Section: kernel
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          virtualbox-guest-source
 Description: transitional package for virtualbox-guest-source
  This is a dummy transitional package for virtualbox-guest-source and can be
- safely removed after the installation is complete.
-
-Package: virtualbox-ose-guest-x11
-Section: x11
-Architecture: all
-Depends: ${misc:Depends},
